## python-urllib3 1.25.8

=== docs/requirements.txt ===
-r ../dev-requirements.txt
sphinx
alabaster
requests>=2,<2.16

=== debian/changelog ===
python-urllib3 (1.25.8-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938244
  * debian/control
    - bump versioned b-d on six to >= 1.12.0 (the same version of the embedded
      module); Closes: #950738

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Apr 2020 11:35:50 -0400

python-urllib3 (1.25.8-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Håvard Flaget Aasen ]
  * New upstream version 1.25.8
  * Rebase patches.
  * Update Standards-Version to 4.5.0
  * Remove python-nose and python3-nose from build-dependency.
  * Add Rules-Requires-Root: no
  * Remove test/conftest.py during build.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 25 Jan 2020 15:56:27 +0100

python-urllib3 (1.25.6-5) unstable; urgency=medium

  * Team upload.
  * debian/control
    - remove psutil from b-d, nothing in urllib3 uses that module

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jan 2020 20:45:05 -0500

python-urllib3 (1.25.6-4) unstable; urgency=medium

  * Upload to unstable (Closes: #945883)

 -- Daniele Tricoli <eriol@debian.org>  Thu, 05 Dec 2019 01:11:15 +0100

python-urllib3 (1.25.6-3) experimental; urgency=medium

  * debian/rules
    - Export LC_ALL=C.UTF-8 to build tests also using pbuilder.
      Thanks to Andreas Beckmann for the report and suggestion.
      (Closes: #945450)

 -- Daniele Tricoli <eriol@debian.org>  Mon, 02 Dec 2019 23:20:06 +0100

python-urllib3 (1.25.6-2) experimental; urgency=medium

  * debian/control
    - Add python{,3}-idna to B-D. (Closes: #943510)

 -- Daniele Tricoli <eriol@debian.org>  Sun, 27 Oct 2019 14:28:10 +0100

python-urllib3 (1.25.6-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Drew Parsons ]
  * New upstream release.
    - fixes CVE-2019-11236 CRLF injection vulnerability.
      Closes: #927172.
  * Standards-Version: 4.4.1
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Oct 2019 11:50:26 +0800

=== debian/control ===
Source: python-urllib3
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python (>= 3.20180927~),
 python3-all,
 python3-coverage (>= 3.6),
 python3-idna,
 python3-mock,
 python3-pytest,
 python3-setuptools,
 python3-six (>= 1.12.0),
 python3-tornado
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://urllib3.readthedocs.org
Vcs-Git: https://salsa.debian.org/python-team/modules/python-urllib3.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-urllib3
Testsuite: autopkgtest-pkg-python

Package: python3-urllib3
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-six
Recommends:
 ca-certificates
Suggests:
 python3-cryptography,
 python3-idna,
 python3-openssl,
 python3-socks
Description: HTTP library with thread-safe connection pooling for Python3
 urllib3 supports features left out of urllib and urllib2 libraries.
 .
   - Re-use the same socket connection for multiple requests (HTTPConnectionPool
     and HTTPSConnectionPool) (with optional client-side certificate
     verification).
   - File posting (encode_multipart_formdata).
   - Built-in redirection and retries (optional).
   - Supports gzip and deflate decoding.
   - Thread-safe and sanity-safe.
   - Small and easy to understand codebase perfect for extending and
     building upon.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=urllib3
export PYTHONWARNINGS=d
export PYBUILD_BEFORE_TEST=rm -f test/conftest.py
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=\
	--ignore=test/appengine \
	--ignore=test/with_dummyserver \
	--ignore=test/test_connectionpool.py \
	--ignore=test/test_ssl.py \
	--ignore=test/contrib/test_pyopenssl.py \
	--ignore=test/contrib/test_securetransport.py \
	--ignore=test/contrib/test_socks.py \
	-k-test_recent_date
# Skip timing tests
export TRAVIS=1
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	find . -type d -name .pytest_cache -exec rm -rf {} +

override_dh_auto_configure:
	rm -f src/urllib3/packages/six.py

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/urllib3/urllib3-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-urllib3 1.25.9

=== debian/changelog ===
python-urllib3 (1.25.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Sat, 02 May 2020 13:14:11 -0400

## python-urllib3 1.26.2

=== debian/changelog ===
python-urllib3 (1.26.2-1ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 00:00:58 +0000

python-urllib3 (1.26.2-1ubuntu1) hirsute; urgency=medium

  * SECURITY UPDATE: incorrect cert validation with HTTPS to HTTPS proxies
    - debian/patches/CVE-2021-28363.patch: enable hostname verification for
      HTTPS proxies with default cert in src/urllib3/connection.py,
      test/conftest.py, test/with_dummyserver/test_proxy_poolmanager.py.
    - CVE-2021-28363

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Mar 2021 07:00:54 -0400

python-urllib3 (1.26.2-1) unstable; urgency=medium

  * New upstream version 1.26.2
  * Refresh patches.
  * debian/control
    - Bump debhelper compatibility level to 13.
    - Bump Standards-Version to 4.5.1 (no changes needed).
  * debian/copyright
    - Update copyright years.
  * debian/rules
    - Ignore test_ssltransport.py.
  * debian/watch
    - Bump version to 4.

 -- Daniele Tricoli <eriol@debian.org>  Thu, 31 Dec 2020 02:22:32 +0100

python-urllib3 (1.25.11-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Refresh patches for the new release.
  * Skip test_respect_retry_after_header_sleep test.
    It needs pytest-freezegun module which is not packaged in Debian yet.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 Nov 2020 15:40:30 +0300

## python-urllib3 1.26.4

=== debian/changelog ===
python-urllib3 (1.26.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Enforces certificate validation in some cases involving HTTPS to HTTPS
      proxies CVE-2021-28363.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 11 May 2021 20:30:00 -0400

## python-urllib3 1.26.5

=== debian/changelog ===
python-urllib3 (1.26.5-1~exp1) unstable; urgency=medium

  * New upstream version 1.26.5
    - CVE-2021-33503: Catastrophic backtracking in URL authority parser when
      passed URL containing many @ characters. (Closes: #989848)
  * Refresh patches.

 -- Daniele Tricoli <eriol@debian.org>  Sun, 27 Jun 2021 17:02:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-urllib3
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python (>= 3.20180927~),
  python3-all,
  python3-coverage (>= 3.6),
@@ -14,11 +14,11 @@
  python3-setuptools,
  python3-six (>= 1.12.0),
  python3-tornado
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://urllib3.readthedocs.org
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-urllib3.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-urllib3
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-urllib3.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-urllib3
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-urllib3

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,17 @@
 export PYTHONWARNINGS=d
 export PYBUILD_BEFORE_TEST=rm -f test/conftest.py
 export PYBUILD_TEST_PYTEST=1
+# test_respect_retry_after_header_sleep needs pytest-freezegun
 export PYBUILD_TEST_ARGS=\
 	--ignore=test/appengine \
-	--ignore=test/with_dummyserver \
-	--ignore=test/test_connectionpool.py \
-	--ignore=test/test_ssl.py \
 	--ignore=test/contrib/test_pyopenssl.py \
 	--ignore=test/contrib/test_securetransport.py \
 	--ignore=test/contrib/test_socks.py \
-	-k-test_recent_date
+	--ignore=test/test_connectionpool.py \
+	--ignore=test/test_ssl.py \
+	--ignore=test/test_ssltransport.py \
+	--ignore=test/with_dummyserver \
+	-k 'not test_recent_date and not test_respect_retry_after_header_sleep'
 # Skip timing tests
 export TRAVIS=1
 export LC_ALL=C.UTF-8

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/urllib3/urllib3-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-urllib3 1.26.9

=== debian/changelog ===
python-urllib3 (1.26.9-1) unstable; urgency=medium

  * New upstream version 1.26.9
  * Refresh patches.
  * Add python3-brotli to B-D, Suggests and autopkgtest's Depends.

 -- Daniele Tricoli <eriol@debian.org>  Sat, 19 Mar 2022 01:35:39 +0100

python-urllib3 (1.26.8-1) unstable; urgency=medium

  [ Jenkins ]
  * Remove constraints unnecessary since stretch

  [ Daniele Tricoli ]
  * New upstream release.
  * Refresh patches.
  * Enable salsa pipelines.
  * Enable autopkgtest tests.
  * debian/control
    - Update standards version to 4.6.0, no changes needed.
  * debian/copyright
    - Update copyright years.

 -- Daniele Tricoli <eriol@debian.org>  Mon, 14 Mar 2022 01:12:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python (>= 3.20180927~),
+ dh-python,
  python3-all,
- python3-coverage (>= 3.6),
+ python3-brotli,
+ python3-coverage,
  python3-idna,
  python3-mock,
  python3-pytest,
  python3-setuptools,
- python3-six (>= 1.12.0),
+ python3-six,
  python3-tornado
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://urllib3.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-urllib3.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-urllib3
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-urllib3
 Architecture: all
@@ -30,6 +30,7 @@
 Recommends:
  ca-certificates
 Suggests:
+ python3-brotli,
  python3-cryptography,
  python3-idna,
  python3-openssl,

## python-urllib3 1.26.12

=== debian/changelog ===
python-urllib3 (1.26.12-1+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2023-43804: Cookie request header isn't stripped during
    cross-origin redirects. (Closes: #1053626)
  * Fix CVE-2023-45803: Request body not stripped after redirect from 303
    status changes request method to GET. (Closes: #1054226)
  * Fix CVE-2024-37891: Proxy-Authorization request header isn't stripped
    during cross-origin redirects. (Closes: #1074149)
  * Use system 'six' module in urllib3.util.ssltransport. (Closes: #1089507)
  * Fix test/test_connectionpool.py (currently ignored).
  * Adjust d/salsa-ci.yml for bookworm.
  * Adjust d/gbp.conf for bookworm.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 21 Dec 2024 15:28:17 +0100

python-urllib3 (1.26.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.26.12
  * Bump Standards-Version to 4.6.1 (no change)
  * Refresh patches

 -- Anthony Fok <foka@debian.org>  Thu, 22 Sep 2022 15:14:17 -0600

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-six,
  python3-tornado
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://urllib3.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-urllib3.git

=== debian/tests/control ===
Tests: python3-urllib3
Depends:
 python3-all,
 python3-brotli,
 python3-coverage,
 python3-idna,
 python3-mock,
 python3-pytest,
 python3-six,
 python3-tornado,
 python3-urllib3,

## python-urllib3 1.26.16

=== debian/changelog ===
python-urllib3 (1.26.16-1ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: http cookie leakage via http redirect
    - debian/patches/CVE-2023-43804.patch: removes the cookie from the 
      http request when it is redirected to a different origin.
    - CVE-2023-43804
  * SECURITY UPDATE: http body leakage via http redirect
    - debian/patches/CVE-2023-45803.patch: removes the body from the 
      http request when it is redirected to a different origin and the 
      http verb is changed to GET.
    - CVE-2023-45803 

 -- Jorge Sancho Larraz <jorge.sancho.larraz@canonical.com>  Sun, 22 Oct 2023 13:46:37 +0200

python-urllib3 (1.26.16-1) unstable; urgency=medium

  * New upstream version 1.26.16
  * Refresh patches.
  * debian/control
    - Update standards version to 4.6.2, no changes needed.
  * debian/copyright
    - Update copyright years.

 -- Daniele Tricoli <eriol@debian.org>  Fri, 30 Jun 2023 01:10:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-urllib3
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional
@@ -15,7 +16,7 @@
  python3-setuptools,
  python3-six,
  python3-tornado
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://urllib3.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-urllib3.git

## python-urllib3 1.26.18

=== debian/changelog ===
python-urllib3 (1.26.18-2) unstable; urgency=medium

  * Team upload.
  * Patch: Fix tests under Python 3.12. (Closes: #1056511)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Jan 2024 15:46:13 -0400

python-urllib3 (1.26.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix CVE-2023-45803 (Closes: #1054226)
  * Drop patch 02_require-cert-verification.patch, no longer needed.
    (Closes: #1054212)
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 21 Oct 2023 17:05:33 +0200

python-urllib3 (1.26.17-1) unstable; urgency=medium

  * New upstream version 1.26.17
    - Fix CVE-2023-43804 (Closes: #1053626).
  * Refresh patches.

 -- Daniele Tricoli <eriol@debian.org>  Tue, 10 Oct 2023 02:32:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-urllib3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional

## python-urllib3 2.0.7

=== debian/changelog ===
python-urllib3 (2.0.7-1ubuntu0.2) noble-security; urgency=medium

  * SECURITY UPDATE: Information disclosure through improperly disabled
    redirects.
    - debian/patches/CVE-2025-50181.patch: Add "retries" check and set retries
      to Retry.from_int(retries, redirect=False) as well as set
      raise_on_redirect in ./src/urllib3/poolmanager.py.
    - CVE-2025-50181

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Mon, 23 Jun 2025 16:34:35 -0230

python-urllib3 (2.0.7-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: The Proxy-Authorization header is not correctly stripped
    when redirecting to a different host.
    - debian/patches/CVE-2024-37891.patch: Add "Proxy-Authorization" to
      DEFAULT_REMOVE_HEADERS_ON_REDIRECT in src/urllib3/util/retry.py. Add
      header to tests.
    - CVE-2024-37891
  * Skip failing test causing build-time failures: (LP: #2084715)
    - debian/rules: Add "not test_recent_date" to PYBUILD_TEST_ARGS.

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Wed, 16 Oct 2024 15:20:56 -0230

python-urllib3 (2.0.7-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Drop six patch and dependency on python3-six, superseded upstream.
    (Closes: #1025218, LP: #1897633)
  * Drop bundled backports.makefile from copyright, removed upstream.
  * Build with pybuild pyproject plugin.
  * Mark Build-Depends with nocheck.
  * Re-enable the full test suite.
  * Patch: Handle ConnectionRefusedError in test.requires_network()
  * Patch: Mark tests that require network
  * Patch: Don't make requests to evil.com in tests.
  * Export CI=1 in tests, to increase timeouts.
  * Allow stderr in the autopkgtest.
  * Patch: Skip expensive integration tests, that often cause timeouts.

 -- Daniele Tricoli <eriol@debian.org>  Sun, 12 Nov 2023 23:57:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,26 @@
 Source: python-urllib3
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-brotli,
- python3-coverage,
- python3-idna,
- python3-mock,
- python3-pytest,
- python3-setuptools,
- python3-six,
- python3-tornado
+ python3-brotli <!nocheck>,
+ python3-coverage <!nocheck>,
+ python3-cryptography <!nocheck>,
+ python3-hatchling,
+ python3-idna <!nocheck>,
+ python3-mock <!nocheck>,
+ python3-openssl <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
+ python3-socks <!nocheck>,
+ python3-tornado <!nocheck>,
+ python3-trustme <!nocheck>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://urllib3.readthedocs.org
@@ -26,7 +32,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-six
 Recommends:
  ca-certificates
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=urllib3
export PYTHONWARNINGS=d
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k "not requires_network and not test_recent_date"
export LC_ALL=C.UTF-8
export CI=1  # Use longer timeouts, see https://github.com/urllib3/urllib3/issues/3164

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	find . -type d -name .pytest_cache -exec rm -rf {} +

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/tests/control ===
Tests: python3-urllib3
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-brotli,
 python3-coverage,
 python3-cryptography,
 python3-idna,
 python3-mock,
 python3-openssl,
 python3-pytest,
 python3-pytest-timeout,
 python3-six,
 python3-socks,
 python3-tornado,
 python3-trustme,
 python3-urllib3,

## python-urllib3 2.2.3

=== debian/changelog ===
python-urllib3 (2.2.3-4) unstable; urgency=medium

  * Team upload.
  * Mark package "Multi-Arch: foreign" (Closes: #1078034)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 11 Dec 2024 13:16:51 +0100

python-urllib3 (2.2.3-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Nov 2024 16:38:06 +0000

python-urllib3 (2.2.3-2) experimental; urgency=medium

  * Team upload.
  * Mark test_http2_probe_blocked_per_thread with requires_network.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2024 23:59:17 +0000

python-urllib3 (2.2.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2024-37891: Added the Proxy-Authorization header to the list of
      headers to strip from requests when redirecting to a different host
      (closes: #1074149).
    - Added support for Python 3.13 (closes: #1082278).
  * Temporarily vendor hypercorn, since urllib3 needs a patched version for
    its tests (commit d1719f8c1570cbd8e6a3719ffdb14a4d72880abb; see
    https://github.com/urllib3/urllib3/issues/3334; closes: #1086794).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Nov 2024 23:57:18 +0000

python-urllib3 (2.0.7-2) unstable; urgency=medium

  * Team upload.
  * Remove build & autopkgtest dependency on python3-mock
  * Disable a test that compare today's date against some "expiry date".
  * Patch: add a patch from upstream to handle new Exception strings.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 12 Jun 2024 20:04:48 +0200

## python-urllib3 2.3.0

=== debian/changelog ===
python-urllib3 (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * CVE-2025-50181: Fix a security issue where restricting the maximum
    number of followed redirects at the `urllib3.PoolManager` level via the
    `retries` parameter did not work (closes: #1108076).
  * CVE-2025-50182: Make the Node.js runtime respect redirect parameters
    such as `retries` and `redirects` (closes: #1108077).

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jul 2025 14:09:35 +0200

python-urllib3 (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Ensure compatibility with httpx>=0.28 (closes: #1099277).

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 11:20:41 +0000

python-urllib3 (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * SingleTLSLayerTestCase: Catch BrokenPipeError.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2025 13:54:06 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=urllib3
export PYTHONWARNINGS=d
# Use patched hypercorn; see https://github.com/urllib3/urllib3/issues/3334
export PYTHONPATH=$(CURDIR)/debian/vendor
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k "not requires_network and not test_recent_date"
export LC_ALL=C.UTF-8
export CI=1  # Use longer timeouts, see https://github.com/urllib3/urllib3/issues/3164
# pybuild exports http_proxy=http://127.0.0.1:9/ by default, but that breaks
# some tests here and the package doesn't seem to try to connect to the
# internet without it.
export http_proxy=

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	find . -type d -name .pytest_cache -exec rm -rf {} +

override_dh_auto_test:
	PYTHONPATH=$(CURDIR)/debian/vendor dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## python-urllib3 2.5.0

=== debian/changelog ===
python-urllib3 (2.5.0-2) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Fix security issue where decompression-bomb safeguards of the
    streaming API were bypassed when HTTP redirects were followed.
    (CVE-2026-21441) (Closes: #1125062)

  [ Santiago Vila ]
  * Drop debian/.gitignore, dpkg-buildpackage dislikes it.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 10 Jan 2026 18:20:00 +0100

python-urllib3 (2.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Unbounded number of links in the decompression chain (CVE-2025-66418)
    (Closes: #1122030)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 03 Jan 2026 20:00:44 +0100

python-urllib3 (2.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Aug 2025 11:19:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,36 @@
 Source: python-urllib3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-brotli <!nocheck>,
  python3-coverage <!nocheck>,
  python3-cryptography <!nocheck>,
+ python3-hatch-vcs,
  python3-hatchling,
+ python3-h2,
+ python3-httpx <!nocheck>,
  python3-idna <!nocheck>,
- python3-mock <!nocheck>,
  python3-openssl <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-timeout <!nocheck>,
+ python3-quart <!nocheck>,
+ python3-quart-trio <!nocheck>,
  python3-socks <!nocheck>,
- python3-tornado <!nocheck>,
+ python3-trio <!nocheck>,
  python3-trustme <!nocheck>
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://urllib3.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-urllib3.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-urllib3
 
 Package: python3-urllib3
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},
@@ -52,5 +54,3 @@
    - Thread-safe and sanity-safe.
    - Small and easy to understand codebase perfect for extending and
      building upon.
- .
- This package contains the Python 3 version of the library.

## python-urllib3 2.6.3

=== debian/changelog ===
python-urllib3 (2.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2025-66471: Fixed a security issue where streaming API could
      improperly handle highly compressed HTTP content ("decompression
      bombs") leading to excessive resource consumption even when a small
      amount of data was requested.  Reading small chunks of compressed data
      is safer and much more efficient now (closes: #1122029).
    - Fixed HTTPResponse.read_chunked() to properly handle leftover data in
      the decoder's buffer when reading compressed chunked responses
      (closes: #1122743).
  * Bump Build-Depends/Suggests on python3-brotli to >= 1.2.0 to improve the
    fix for CVE-2025-66418.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Feb 2026 00:37:49 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-brotli <!nocheck>,
+ python3-backports.zstd <!nocheck>,
+ python3-brotli (>= 1.2.0) <!nocheck>,
  python3-coverage <!nocheck>,
  python3-cryptography <!nocheck>,
  python3-hatch-vcs,
@@ -37,7 +38,8 @@
 Recommends:
  ca-certificates
 Suggests:
- python3-brotli,
+ python3-backports.zstd | python3-supported-min (>= 3.14),
+ python3-brotli (>= 1.2.0),
  python3-cryptography,
  python3-idna,
  python3-openssl,

=== debian/tests/control ===
Tests: python3-urllib3
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-backports.zstd | python3-supported-min (>= 3.14),
 python3-brotli,
 python3-coverage,
 python3-cryptography,
 python3-h2,
 python3-httpx,
 python3-idna,
 python3-openssl,
 python3-pytest,
 python3-pytest-timeout,
 python3-quart,
 python3-quart-trio,
 python3-socks,
 python3-trio,
 python3-trustme,
 python3-urllib3,
